Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225755 - dietlibc: FTBFS in Fedora rawhide/f39
Summary: dietlibc: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dietlibc
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:25 UTC by Fedora Release Engineering
Modified: 2023-09-15 18:39 UTC (History)
2 users (show)

Fixed In Version: dietlibc-0.34-15.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-15 18:39:55 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:25 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:26 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:26 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:25:54 UTC
dietlibc failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103567870


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix dietlibc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dietlibc will be orphaned. Before branching of Fedora 40,
dietlibc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:25:59 UTC
Created attachment 1977740 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:26:03 UTC
Created attachment 1977741 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:26:05 UTC
Created attachment 1977742 [details]
state.log

Comment 4 Gwyn Ciesla 2023-08-01 15:59:57 UTC
Emailed maintainer.

Comment 5 Fedora Release Engineering 2023-08-16 07:55:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 6 Fedora Update System 2023-08-24 16:56:14 UTC
FEDORA-2023-1a38636ff2 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1a38636ff2

Comment 7 Fedora Update System 2023-08-25 01:42:32 UTC
FEDORA-2023-1a38636ff2 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1a38636ff2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1a38636ff2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-09-15 18:39:55 UTC
FEDORA-2023-1a38636ff2 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.